<?php

namespace Strig\Category;

use Psr\Container\ContainerInterface;
use Zend\ServiceManager\Exception\ServiceNotCreatedException;
use Zend\ServiceManager\Exception\ServiceNotFoundException;

class CategoryMiddlewareFactory
{

    /**
     * @param ContainerInterface $container
     * @param string $requestName
     * @param array|null $options
     * @throws ServiceNotFoundException if unable to resolve the service.
     * @throws ServiceNotCreatedException if an exception is raised when
     *     creating a service.
     * @return CategoryMiddleware
     */
    public function __invoke(ContainerInterface $container, string $requestName, array $options = null)
    {
        return new CategoryMiddleware($container);
    }
}
